CREATE TABLE preferred_customer
(
   id NUMBER CONSTRAINT pk_prefcust PRIMARY KEY
     CONSTRAINT fk_prefcust_person 
       REFERENCES person (id),
   discount NUMBER(2,2) DEFAULT .05 
     CONSTRAINT ck_prefcust_discount
       CHECK ( discount BETWEEN 0 AND .25 ),
   description VARCHAR2(78)
)
/
